Get Deposits
curl --request GET \
--url https://api.hel.io/v1/deposits/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hel.io/v1/deposits/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hel.io/v1/deposits/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "697b6f574e8d5be87822f9de",
"name": "testing plasma",
"platform": "HELIO",
"notifyReceiverByEmail": false,
"disabled": false,
"connectWalletOptions": {
"isActive": true,
"title": "Connect Wallet",
"badge": ""
},
"transferManuallyOptions": {
"isActive": true,
"title": "Transfer Manually",
"badge": "Recommended"
},
"payWithCardOptions": {
"isActive": true,
"title": "Pay with Cash",
"badge": "",
"hasWhiteListDomain": false
},
"createdAt": "2026-01-29T14:31:51.752Z",
"updatedAt": "2026-01-29T14:31:51.752Z"
}
]{
"message": "Api key or token is invalid",
"code": 401
}DEPOSITS
Get Deposits
Retrieve all deposits for the authenticated account. Supports optional filtering by deposit name using the name query parameter. Returns an array of matching deposits.
GET
/
v1
/
deposits
/
search
Get Deposits
Note: When using the production environment at moonpay.hel.io, set your API endpoint to
api.hel.io/v1 and generate API keys there. For the development environment, use api.dev.hel.io/v1 and generate API keys from moonpay.dev.hel.io.Authorizations
Authentication using JWT token
Query Parameters
Optional deposit name to filter results by. Multiple deposits may be returned as names are not unique.
Your API key, which can be generated from the Helio Dashboard settings page.
Response
List of deposits retrieved successfully.
Unique identifier of the deposit configuration.
Human-readable name of the deposit configuration.
Platform associated with the deposit configuration.
Whether the receiver should be notified by email.
Indicates whether the deposit configuration is disabled.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
